QFileIconProvider(3qt)

NAME
QFileIconProvider - Icons for QFileDialog to use

SYNOPSIS
#include <qfiledialog.h>

Inherits QObject.

  Public Members
QFileIconProvider ( QObject * parent = 0, const char * name = 0 )
virtual const QPixmap * pixmap ( const QFileInfo & info )

DESCRIPTION
The QFileIconProvider class provides icons for QFileDialog to use.

By default QFileIconProvider is not used, but any application or library can subclass it, reimplement pixmap() to return a suitable icon, and make all QFileDialog objects use it by calling the static function QFileDialog::setIconProvider().

It is advisable to make all the icons that QFileIconProvider returns be the same size or at least the same width. This makes the list view look much better.

See also QFileDialog and Miscellaneous Classes.

MEMBER FUNCTION DOCUMENTATION

QFileIconProvider::QFileIconProvider ( QObject * parent = 0, const char * name = 0 )
Constructs an empty file icon provider called name, with the parent parent.

const QPixmap * QFileIconProvider::pixmap ( const QFileInfo & info ) [virtual]
Returns a pointer to a pixmap that should be used to signify the file with the information info.

If pixmap() returns 0, QFileDialog draws the default pixmap.

The default implementation returns particular icons for files, directories, link-files and link-directories. It returns a blank "icon" for other types.

If you return a pixmap here, it should measure 16x16 pixels.

SEE ALSO
http://doc.trolltech.com/qfileiconprovider.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qfileiconprovider.3) and the Qt version (3.3.7).